# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2018 Marta Marczykowska-Górecka
#                               <marmarta@invisiblethingslab.com>
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, see <http://www.gnu.org/licenses/>.


Name: qubes-app-shutdown-idle
Version:    1.0.9
Release:    1%{?dist}
BuildArch:  noarch
Summary:    Qubes Shutdown Idle Script

Group:      Qubes
Vendor:		Invisible Things Lab
License:    GPL2+
URL:		http://www.qubes-os.org

BuildRequires: make
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel
Requires: python%{python3_pkgversion}-xcffib
Requires: python%{python3_pkgversion}-setuptools
Requires: python%{python3_pkgversion}-pyudev
Obsoletes: qubes-idle < 1.0.3
Provides: qubes-idle = 1.0.9

Source0: %{name}-%{version}.tar.gz

%description
Qubes Shutdown Idle Script

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%make_install PYTHON=%{__python3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-idle-watcher

%dir %{python3_sitelib}/qubesidle
%{python3_sitelib}/qubesidle/__init__.py
%{python3_sitelib}/qubesidle/idle_watcher.py
%{python3_sitelib}/qubesidle/idle_watcher_window.py
%{python3_sitelib}/qubesidle/network_watcher.py
%{python3_sitelib}/qubesidle/idleness_monitor.py
%{python3_sitelib}/qubesidle/tests_idleness_monitor.py
%dir %{python3_sitelib}/qubesidle/__pycache__
%{python3_sitelib}/qubesidle/__pycache__/*
%dir %{python3_sitelib}/qubesidle-*.egg-info
%{python3_sitelib}/qubesidle-*.egg-info/*
%config /etc/xdg/autostart/qubes-idleness-monitor.desktop
/etc/qubes/post-install.d/30-qubes-idle.sh
/etc/sudoers.d/sudo-poweroff


%changelog
* Thu Jan 19 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-shutdown-idle.git

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 165a223
- version 1.0.9

* Thu Jan 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c2bd068
- ci: run unit tests

* Tue Jan 17 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4cf31a6
- Fix unsupported asyncio syntax

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8dfb3b8
- version 1.0.8

* Tue Oct 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28fe60b
- rpm: move %description before %prep

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - aa9777f
- .qubesbuilder: replace 'spec' by 'build'

* Wed May 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e8be052
- version 1.0.7

* Thu Apr 28 2022 deeplow <deeplower@protonmail.com> - 5ee6a71
- window closing heuristic: when window is off-screen

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e5a884d
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - afaee6f
- Drop Travis CI

* Wed Aug 04 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 7cd535a
- Remove mentions of @asyncio.coroutine from docs

* Tue May 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11885f1
- version 1.0.6

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 87051de
- spec: add BR make

* Sat Apr 24 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 2b5e918
- Rip out @asyncio.coroutine

* Wed Jan 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e34daa7
- version 1.0.5

* Wed Jan 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47e8a77
- debian: lower python version requirement to fix stretch build

* Tue Dec 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a26524d
- ci: add r4.0 vms

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8eefbb4
- version 1.0.4

* Thu Dec 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c835a2e
- Fix build with python3 for CentOS

* Sat Dec 12 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ad98703
- debian: update control && compat

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 480e19a
- Add .gitlab-ci.yml

* Fri Aug 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4ae5e80
- version 1.0.3

* Fri Aug 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62abaef
- Update version in obsoletes tag

* Thu Aug 13 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a51b625
- Made package names in fedora and debian the same

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3d51eb2
- Update travis

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e14513f
- travis: switch to bionic

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 976112e
- version 1.0.2

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9c86d6
- Create sudoers.d directory

* Wed Oct 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5bd3bfb
- Fixed rare scheduling error and simplified idleness checking

* Fri Sep 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b40e479
- travis: switch to xenial, update distributions

* Thu Sep 05 2019 unman <unman@thirdeyesecurity.org> - c7350f8
- reinstated destination for 30-qubes-idle.sh

* Thu Sep 05 2019 unman <unman@thirdeyesecurity.org> - e7584bf
- provide sudo snippet allowing poweroff

* Wed Sep 04 2019 unman <unman@thirdeyesecurity.org> - a383802
- Create configuration files in Debian Package. Also make requirement for passwordless sudo explicit

* Sun Nov 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b3539a
- version 1.0.1

* Sat Nov 03 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 98e6c20
- travis: add CentOS

* Sat Nov 03 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - f9cabc3
- Handle CentOS python3 version

* Sat Nov 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2452bb
- Advertise 'shutdown-idle' service using qvm-features-request

* Wed Oct 17 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 62599df
- Changed entry point to qubes_idle_watcher

* Wed Oct 17 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6c4e517
- Fixed network watcher

* Mon Oct 15 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - fb4a388
- Added watcher for network changes

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90e42f7
- debian: add python dependencies generated during package build

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8012ff9
- Tests improvements

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5080118
- debian: add Build-Depends: python3-all, dh-python, debhelper

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba0f4cf
- Build only VM, not dom0

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88ca9aa
- travis: initial version

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f15aa87
- Changes according to code review by @marmarek

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 645f7e2
- Added packaging, fixed some bugs

* Wed Oct 10 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4957b0f
- Working watching for idle windows

* Tue Oct 09 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 80d2f41
- Initial idle watcher

